> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# カタログ内のすべてのレコードを削除します



## OpenAPI

````yaml /ja/openapi.json post /api/publicapi/v1/catalogs/{catalogId}/clear
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/clear:
    post:
      tags:
        - Catalogs
      summary: カタログ内のすべてのレコードを削除します
      operationId: ClearCatalog
      parameters:
        - description: カタログ識別子。すべてのカタログ一覧で確認できます。
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: カタログ内のすべてのレコードが正常に削除されました
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: カタログが見つかりません
components:
  schemas:
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````